kind: VirtualMachineClone
apiVersion: "clone.kubevirt.io/v1alpha1"
metadata:
  name: testclone

spec:
  # source & target definitions
  source:
    apiGroup: kubevirt.io
    kind: VirtualMachine
    name: golden-vm
#  target:
#    apiGroup: kubevirt.io
#    kind: VirtualMachine
#    name: rhel-9-orange-tick-56-clone

  # labels & annotations definitions
#  labelFilters:
#    - "*"
#    - "!someKey/*"
#  annotationFilters:
#    - "anotherKey/*"

  # template labels & annotations definitions
#  template:
#    labelFilters:
#      - "*"
#      - "!someKey/*"
#    annotationFilters:
#      - "anotherKey/*"

  # other identity stripping specs:
#  newMacAddresses:
#    interfaceName: "00-11-22"
#  newSMBiosSerial: "new-serial"
